#sidebar {
  outline: none !important;
  color: white;
  background: linear-gradient(to right, $pink 0%, $pink-light 100%);
  z-index: $z-index-sidebar;

  a {
    color: inherit;
  }

  .sidebar-inner {
    padding: 80px 25px 60px;
    min-height: 100vh;
    position: sticky;
    top: 0;
    overflow-x: hidden;
    transition: top 0.2s ease;
  }

  .sidebar-profile {
    display: flex;
    align-items: center;

    .profile-image {
      display: inline-block;
      position: relative;
      width: 100px;
      height: 100px;
      background-color: rgba(black, 0.3);
      border-radius: 50%;

      .the-img {
        border-radius: 50%;
        width: 100px;
        height: 100px;
        border: solid 5px white;
        background-size: cover;
        background-position: center;
      }

      &:before,
      &:after {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
      }

      &:before {
        border: solid 8px rgba(lighten($pink-light, 5%), 0.3);
        box-shadow: 0 0 0 14px rgba(lighten($pink-light, 5%), 0.6);
        transform: scale(2);
      }

      &:after {
        border: solid 10px rgba(lighten($pink-light, 6%), 0.7);
        box-shadow: 0 0 0 20px rgba(lighten($pink-light, 4%), 0.4);
        transform: scale(3.19);
      }
    }

    .icon-avatar {
      line-height: 86px;
    }

    .profile-name {
      padding-right: 15px;
      position: relative;
      z-index: 2;
    }
  }

  .close-sidebar {
    position: absolute;
    top: 20px;
    right: 20px;
    color: #f4c203;
    width: 50px;
    cursor: pointer;
    z-index: 20;
  }

  .sidebar-nav {
    position: relative;
    z-index: 2;
    padding: 50px 15px 50px 0;
    list-style-type: none;
    margin: 0;

    .icon {
      font-size: 1.5rem;
      width: 40px;
      text-align: right;
    }

    li {
      a {
        display: block;
        padding: 15px 0;
      }
    }
  }

  //== sidebar-nav

  .socials {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;

    ul {
      @include inline-list-table(60px, white, transparent);
      padding: 0;
      margin: 0 auto;

      li a {
        font-size: 30px;
        width: 60px;

        .icon-logo {
          font-size: 148%;
        }
      }
    }
  }

  //== socials
}

//== sidebar

#header .toggle-sidebar {
  opacity: 0;
  visibility: hidden;
}

@include media-breakpoint-down(md) {
  #sidebar {
    position: fixed;
    right: 0;
    top: 0;
    width: $sidebar-width;
    transform: translateX(100%);
    transition: transform 0.3s ease-out;
    bottom: 0;
    height: 100%;
    overflow: auto;
    @include cancel-sticky();

    .sidebar-nav {
      padding: 30px 15px 15px 0;
      flex-grow: 1;
    }
    .sidebar-inner {
      padding-top: 50px;
      padding-bottom: 0;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
    }
    .socials {
      position: static;
    }
  }
  .sidebar-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(black, 0.7);
    z-index: $z-index-sidebar - 1;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
  }

  .sidebar-open {
    #sidebar {
      transform: none;
    }

    .sidebar-overlay {
      opacity: 1;
      visibility: visible;
    }
  }

  #header .toggle-sidebar {
    opacity: 1;
    visibility: visible;
  }
}
